Subject: Re: [RFC PATCH 1/2] notes: support fetching notes from an external repo

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Aug 2022 15:32:30 -0700

Vegard Nossum <[email-masked]> writes:

>> My gut reaction is that I am not interested at all in the above
>> approach, even though the problem you are trying to solve is
>> interesting.  Mostly because notes are not the only decorations your
>> users may want.  What if you want to "log --decorate" their
>> repository contents with your own tags that annotate their commits?
>> A notes-only approach to mix repositories is way too narrow.
> ...
> To be clear, are you saying there is no way you would ever take my
> patches in their current form,

Correct.

> Just to provide a bit more background: These two patches are just the
> first two in a bigger project to make extensive use of git notes to
> provide added value to the whole Linux kernel community ...

I already said that the problem being solved is interesting.  The
fact that a solution aims to address a problem worth solving does
not diminish the need for the solution to be sensibly designed,
and I again already said that an approach to special case notes ref
specially is unwanted.

Thanks.